sniff_genproj

sniff_genproj is a program for creating SNiFF+ project description files (PDFs) from a directory tree in batch mode.
If the names of generated PDFs are not unique, sniff_genproj makes them unique by prefixing the generated PDF names with parent directory names.
Synopsis
sniff_genproj [options] <directory>
Arguments and Options
< directory > specifies the absolute path name of the directory for which SNiFF+ project(s) are to be created. For absolute projects, use quoted environment variables to create projects that are easily locatable.
By default all project attributes are taken from your Preferences. See also New Project Setup view.

Option | Description
-a | Generate project description files (PDFs) for the specified directory and the complete directory tree recursively. If this option is omitted, only one PDF is created for the specified directory.
-d <pdf_dir> | Put the generated PDFs into <pdf_dir> (absolute path name). If this option is omitted, the PDFs are stored in the project directories.
-e | Generate PDFs for empty directories, i.e., ones without any files or subdirectories. If this option is omitted, no PDFs are created for empty directories.
-f <path_to_template> | Generate PDFs according to a template file. The path to the template must be either absolute, or relative to the value specified in the New Project Setup View of your Preferences.
-i <ignore_dirs> | Ignore <ignore_dirs> directories. Multiple directories must be separated with a colon (:). (default: can be defined in the Preferences).
-k | Follow symbolic links neither to files nor to directories (by default, symbolic links are followed).
-n <name> | Save the root project's PDF under <name> . If this option is omitted, the file is saved under name <directory> .extension (see also -x option).
-r <abs> | Make the generated projects relative, i.e., relative to a root directory, by cutting away the absolute path <abs> . If this option is omitted, absolute projects are created.
-S <abs> | Make the generated projects shared, i.e., relative to a root directory, by cutting away the absolute path <abs> . If this option is omitted, absolute projects are created.
-t <tag> | Use <directory>_<tag> .extension as the name of the generated PDF (this is ignored for the root directory if the -n option is present).
-u <pdf> | Make name of existing PDF <pdf> and its subproject PDFs unique. You would run sniff_genproj with this option after generating PDFs in a directory that contains identically-named subdirectories.
-v | Unix only: Print version number of your current sniff_genproj release.
-x <extension> | Use <extension> as the extension for all created project files. If this option is omitted, the first extension of the File Types attribute Signatures is used. See also File Types view.